//
// TourSearchDetailTopCell.m
// IvyMedia
//
// Created by paul on 9/10/14.
//
//

#import "TourSearchDetailTopCell.h"
#import "Lang.h"
#import "SDK.h"
#import "CocoaUtils.h"
#import "UIConstants.h"
#import <PureLayout/PureLayout.h>
#import "Vars.h"

@interface TourSearchDetailTopCell ()
@end

@implementation TourSearchDetailTopCell

- (void)awakeFromNib {
	[super awakeFromNib];
	// Initialization code
	[CocoaUtils fillSeparatorOfCell:self];
}

- (void)layoutSubviews {
	[super layoutSubviews];
	
	if (self.reviewButton.currentAttributedTitle) {
		self.reviewButton.hidden = NO;
	} else {
		self.reviewButton.hidden = YES;
	}
	if (self.saleMarkLabel.text || self.saleMarkLabel.attributedText) {
		self.saleMarkLabel.hidden = NO;
	} else {
		self.saleMarkLabel.hidden = YES;
	}
}

@end
